Skip to main content
GET
/
api
/
v1
/
api-request-logs
API istek kayıtlarını listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/api-request-logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_code": "<string>",
      "method": "<string>",
      "endpoint": "<string>",
      "request_headers": "<string>",
      "request_body": "<string>",
      "response_headers": "<string>",
      "response_body": "<string>",
      "status_code": 123,
      "duration": "<string>",
      "request_timestamp": "2023-11-07T05:31:56Z",
      "response_timestamp": "2023-11-07T05:31:56Z",
      "is_success": true,
      "error_message": "<string>",
      "correlation_id": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "last_modified": "2023-11-07T05:31:56Z",
      "last_modified_by": "<string>",
      "tenant_id": "<string>",
      "is_active": true,
      "is_deleted": true
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
transaction_id
string<uuid>
connector_configuration_id
string<uuid>
connector_code
string
method
string
endpoint
string
status_code
integer<int32>
is_success
boolean
request_timestamp_from
string<date-time>
request_timestamp_to
string<date-time>
correlation_id
string
search_term
string
error_categories
enum<string>[]
Available options:
Technical,
BankDeclined,
Validation,
Fraud,
Configuration,
Timeout,
Unknown

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only